Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1863730 - rubygem-redis: FTBFS in Fedora rawhide/f33
Summary: rubygem-redis: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-redis
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Valena
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-08-03 17:15 UTC by Fedora Release Engineering
Modified: 2020-09-25 16:54 UTC (History)
5 users (show)

Fixed In Version: rubygem-redis-4.2.2-1.fc34 rubygem-redis-4.2.2-1.eln103 rubygem-redis-4.2.2-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-10 12:48:01 UTC
Type: ---


Attachments (Terms of Use)
build.log (29.93 KB, text/plain)
2020-08-03 17:15 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 17:15 UTC, Fedora Release Engineering
no flags Details
state.log (1011 bytes, text/plain)
2020-08-03 17:15 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 17:15:49 UTC
rubygem-redis failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=47965123


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix rubygem-redis at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-redis will be orphaned. Before branching of Fedora 34,
rubygem-redis will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 17:15:52 UTC
Created attachment 1704708 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 17:15:53 UTC
Created attachment 1704709 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 17:15:55 UTC
Created attachment 1704710 [details]
state.log

Comment 4 Pavel Valena 2020-08-07 10:43:39 UTC
Upstream ticket:
https://github.com/redis/redis-rb/issues/932

Comment 5 Ben Cotton 2020-08-11 14:06:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 6 Fedora Update System 2020-09-10 12:39:35 UTC
FEDORA-2020-10d5cddfdf has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-10d5cddfdf

Comment 7 Fedora Update System 2020-09-10 12:48:01 UTC
FEDORA-2020-0e0c7eded7 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-09-10 15:49:11 UTC
FEDORA-2020-10d5cddfdf has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-10d5cddfdf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-10d5cddfdf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-14 15:38:52 UTC
FEDORA-2020-bc25199222 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-09-25 16:54:43 UTC
FEDORA-2020-10d5cddfdf has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.